LotusGraph Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
LotusGraph Class Reference

This class parses Microsoft Works graph file. More...

`#include <LotusGraph.h>`

## Public Member Functions
| LotusGraph (LotusParser &parser)
| constructor More...
| ~LotusGraph ()
| destructor More...
void | cleanState ()
| clean internal state More...
void | setListener (WKSContentListenerPtr &listen)
| sets the listener More...

## Protected Member Functions
bool | checkFilePosition (long pos)
| return true if the pos is in the file, update the file size if need More...
int | version () const
| return the file version More...
bool | hasGraphics (int sheetId) const
| return true if the sheet sheetId has some graphic More...
void | sendGraphics (int sheetId)
| send the graphics corresponding to a sheetId More...
void | sendPicture (LotusGraphInternal::Zone const &zone)
| try to send a picture More...
void | sendTextBox (WPSEntry const &entry)
| try to send a textbox content's More...
bool | readZoneBegin (long endPos)
| reads a begin graphic zone More...
bool | readZoneData (long endPos, int type)
| reads a graphic zone More...
bool | readTextBoxData (long endPos)
| reads a graphic textbox data More...
bool | readPictureDefinition (long endPos)
| reads a picture definition More...
bool | readPictureData (long endPos)
| reads a picture data More...

## Private Member Functions
| LotusGraph (LotusGraph const &orig)
LotusGraph & | operator= (LotusGraph const &orig)
libwps::DebugFile & | ascii ()
| returns the debug file More...

## Private Attributes
RVNGInputStreamPtr | m_input
| the input More...
shared_ptr< WKSContentListener > | m_listener
LotusParser & | m_mainParser
| the listener (if set) More...
shared_ptr< LotusStyleManager > | m_styleManager
| the style manager More...
shared_ptr< LotusGraphInternal::State > | m_state
| the internal state More...
libwps::DebugFile & | m_asciiFile
| the ascii file More...

## Friends
class | LotusParser
class | LotusGraphInternal::SubDocument

## Detailed Description

This class parses Microsoft Works graph file.

## Constructor & Destructor Documentation

LotusGraph::LotusGraph | ( | LotusParser & | parser | ) |

constructor

LotusGraph::~LotusGraph | ( |  | ) |

destructor

LotusGraph::LotusGraph | ( | LotusGraph const & | orig | ) |
| private

## Member Function Documentation

libwps::DebugFile& LotusGraph::ascii | ( |  | ) |
| inlineprivate

returns the debug file

Referenced by readPictureData(), readPictureDefinition(), readTextBoxData(), readZoneBegin(), readZoneData(), and sendTextBox().

bool LotusGraph::checkFilePosition | ( | long | pos | ) |
| protected

return true if the pos is in the file, update the file size if need

void LotusGraph::cleanState | ( |  | ) |

clean internal state

bool LotusGraph::hasGraphics | ( | int | sheetId | ) | const
| protected

return true if the sheet sheetId has some graphic

LotusGraph& LotusGraph::operator= | ( | LotusGraph const & | orig | ) |
| private

bool LotusGraph::readPictureData | ( | long | endPos | ) |
| protected

reads a picture data

bool LotusGraph::readPictureDefinition | ( | long | endPos | ) |
| protected

reads a picture definition

bool LotusGraph::readTextBoxData | ( | long | endPos | ) |
| protected

reads a graphic textbox data

bool LotusGraph::readZoneBegin | ( | long | endPos | ) |
| protected

reads a begin graphic zone

bool LotusGraph::readZoneData | ( | long | endPos,
|  | int | type
| ) |  |
| protected

reads a graphic zone

void LotusGraph::sendGraphics | ( | int | sheetId | ) |
| protected

send the graphics corresponding to a sheetId

void LotusGraph::sendPicture | ( | LotusGraphInternal::Zone const & | zone | ) |
| protected

try to send a picture

Referenced by sendGraphics().

void LotusGraph::sendTextBox | ( | WPSEntry const & | entry | ) |
| protected

try to send a textbox content's

Referenced by LotusGraphInternal::SubDocument::parse().

void LotusGraph::setListener | ( | WKSContentListenerPtr & | listen | ) |
| inline

sets the listener

int LotusGraph::version | ( |  | ) | const
| protected

return the file version

## Friends And Related Function Documentation

friend class LotusGraphInternal::SubDocument
| friend

friend class LotusParser
| friend

## Member Data Documentation

libwps::DebugFile& LotusGraph::m_asciiFile
| private

the ascii file

Referenced by ascii().

RVNGInputStreamPtr LotusGraph::m_input
| private

the input

Referenced by checkFilePosition(), readPictureData(), readPictureDefinition(), readTextBoxData(), readZoneBegin(), readZoneData(), sendGraphics(), sendPicture(), and sendTextBox().

shared_ptr<WKSContentListener> LotusGraph::m_listener
| private

Referenced by sendGraphics(), sendPicture(), sendTextBox(), and setListener().

LotusParser& LotusGraph::m_mainParser
| private

the listener (if set)

the main parser

Referenced by sendTextBox(), and version().

shared_ptr<LotusGraphInternal::State> LotusGraph::m_state
| private

the internal state

Referenced by checkFilePosition(), cleanState(), hasGraphics(), LotusGraph(), readPictureData(), readPictureDefinition(), readTextBoxData(), readZoneBegin(), readZoneData(), sendGraphics(), and version().

shared_ptr<LotusStyleManager> LotusGraph::m_styleManager
| private

the style manager

Referenced by sendGraphics(), sendPicture(), and sendTextBox().

The documentation for this class was generated from the following files:

- LotusGraph.h
- LotusGraph.cpp